<template lang="html">
  <div class="results-box">
    <!-- <button @click="bet" type="button" name="button">TEST</button> -->
    <div v-for="(resultItem, key) in results" :key="key" class="result-area-block">
      <div class="balance-block">
        <span>{{ resultItem.balanceTitle }}</span>
        <div @clicked="onChildClick" class="bg-result-area">
          {{ resultItem.balanceValue }}
        </div>
      </div>
      <div class="bet-block">
        <span>{{ resultItem.betTitle }}</span>
        <div class="bg-result-area">
          {{ resultItem.betValue }}
        </div>
      </div>
      <div class="wins-block">
        <span>{{ resultItem.winTitle }}</span>
        <div class="bg-result-area">
          {{ resultItem.winValue }}
        </div>
      </div>
    </div>
    <div class="result-table-block">
      <span class="result-title">{{ title }}</span>
      <div class="bg-result-table">
          <div class="red-results">
            <span v-for="(resultItem, index) in resultsRed" :key="index" >{{ resultItem.redWin }}</span>
          </div>
          <div class="green-results">
            <span v-for="(resultItem, index) in resultsGreen" :key="index">{{ resultItem.greenWin }}</span>
          </div>
          <div class="black-results">
            <span v-for="(resultItem, index) in resultsBlack" :key="index">{{ resultItem.blackWin }}</span>
          </div>
      </div>
    </div>
  </div>
</template>

<script>

export default {
  methods: {
    onChildClick() {
      this.reults.balanceValue = this.betValue1;
      console.log('wo take')
    },
    bet() {
      this.results.push(this.betValue);
      return
        this.results
        console.log('test');
    }
  },
  data () {
    return {
      title: 'Результаты',
      betValue: 10,
      results: [
        {
          balanceTitle: 'Баланс',
          balanceValue: 107999,

          betTitle: 'Ставка',
          betValue: 0,

          winTitle: 'Выигрыш',
          winValue: 0
        }
      ],
      resultsRed: [
        {
          redWin: '1'
        }
      ],
      resultsGreen: [

      ],
      resultsBlack: [
        {

        },
        {
          blackWin: '4'
        },
        {
          blackWin: '10'
        }
      ],
    }
  }
}
</script>

<style lang="scss" scoped>
  .results-box {
    margin-top: 49px;
    margin-left: 20px;
    .result-area-block {
      .wins-block {
        margin-left: -15px;
      }
      div {
        display: flex;
        justify-content: space-between;
        div {
            display: flex;
            justify-content: center;
        }
        span {
          color: white;
          font-family: sans-serif;
          font-weight: bold;
          font-size: 15px;
        }
      }
    }
  }
  .bg-result-area {
    background-image: url(../../assets/img/home/bg-result-area.svg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;

    width: 200px;
    height: 70px;

    display: flex;
    justify-content: center;
    align-items: center;

    margin-right: 22px;
  }
  .bg-result-table {
    background-image: url(../../assets/img/home/bg-result-table.svg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;

    width: 65%;
    height: 195px;

    display: flex;
    flex-direction: row;

    margin-left: -17px;
    margin-top: 8px;

    padding: 15px;
    div {
      width: 33.33%;

      text-align: center;


      display: flex;
      flex-direction: column;
      align-items: center;
      span {
          display: flex;
          align-items: center;
          justify-content: center;
          margin: 10px 0;

          width: 30px;
          height: 30px;
          color: white;
          font-family: sans-serif;
      }
    }
    .red-results {
      span {
        background-color: red;
      }
    }
    .green-results {
      span {
        background-color: green;
      }
    }
    .black-results {
      span {
        background-color: black;
      }
    }
  }
  .result-table-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-left: -25px;
    .result-title {
      color: white;
      font-weight: bold;
      transform: rotate(-90deg);
      height: max-content;
    }
  }
</style>
